Bug Hunting Session
Bug 108829 - Cannot set a numbering style to a paragraph style
Summary: Cannot set a numbering style to a paragraph style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-06-28 08:34 UTC by Regina Henschel
Modified: 2017-08-07 09:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-06-28 08:34:46 UTC
Go to 'Style and Formatting' dialog, tab paragraph
Right-Click item "Heading" and then item "New…".
Go to tab "Outline&Numbering".
For field 'Outline level:' select "Level 1" from the drop-down list.
For field 'Numbering style:' open the drop-down list.
You should see all named numbering styles to select one, but the list is empty.

I see the error in Version: 6.0.0.0.alpha0+
Build ID: 9f3814af7264ce90685a82cbf4eb015a38f22bf7
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-06-28_00:51:05
Locale: de-DE (de_DE); Calc: group

It was OK in Version: 5.5.0.0.alpha0+
Build ID: 076ed447f694239d5c67adee528ea6e471d909ff
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-09_23:54:20
Locale: de-DE (de_DE); Calc: group
Comment 1 Xisco Faulí 2017-06-28 10:26:09 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: 7931ef2abbcef22de5cdddd26738e4dd8d1d8ca5
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Regression introduced in range https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=b29bae1064c9f980cc50a667e8b96c5e370326d7..77da7b934d782153be9271605691ceee6c66233a
Comment 2 Xisco Faulí 2017-06-28 10:55:42 UTC
Regression introduced by:

author	Noel Grandin <noel.grandin@collabora.co.uk>	2017-06-21 09:23:46 (GMT)
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2017-06-21 12:22:51 (GMT)
commit	f05d0d05829dd51cb9d8071ac97cc219779ee40a (patch)
tree	3502cef16b7dacb0cdaa66ec6a34842239c1c505
parent	266bcae306a1dd6e0d9df80ba30ade7311385c28 (diff)
loplugin:unusedfields in sw part1

Adding Cc: to Noel Grandin
Comment 3 Regina Henschel 2017-06-28 17:19:57 UTC
The list is missing in paragraph styles of type "body text" too.
Comment 4 Commit Notification 2017-07-05 12:38:29 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1a7b48c1341a95d4dfd8e1f91b850b0178af0c1b

tdf#108829 Cannot set a numbering style to a paragraph style

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2017-08-07 08:57:00 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 6 Regina Henschel 2017-08-07 09:52:03 UTC
Yes, I see fix in Version: 6.0.0.0.alpha0+
Build ID: 0163984ce76141665296969118791a9ffbf076eb
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-07-30_23:34:14
Locale: de-DE (de_DE); Calc: group